- Main Page
- Classes
- Files

- File List
- File Members

# transaction.h File Reference

Declares the Transaction class. More...

`#include "common.h"`

Include dependency graph for transaction.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::Transaction
| Helper object for creating exception-safe SQL transactions. More...

## Detailed Description

Declares the Transaction class.

This object works with the Connection class to automate the use of MySQL transactions. It allows you to express these transactions directly in C++ code instead of sending the raw SQL commands.